html
{
	position: fixed;
	top: 0;
	left: 0;
}

html,
body
{
	margin: 0;
	padding: 0;

	height: 100%;
	min-height: 100%;

	width: 100%;
	min-width: 100%;

	overflow: hidden;
}

body
{
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-content: center;
}

/* Scroll only the main page content */
main
{
	overflow: auto;
	overflow-x: hidden;
	overflow-y: scroll;

	/* Disable drag-to-reload on some mobile devices. */
	overscroll-behavior: contain;
}

/* Make page elements consistent in their default sizes. */
body,
body *
{
	box-sizing: border-box;
	padding: 0;
	margin: 0;
}
